Subject: Atari ST music playback for UADE

From: alankila
Date: Sat May 6 11:47:33 2006

To: UADE-Developer-discussion
I wrote the emulation code for the YM-2149 chip used in Atari ST. I've ran some simple validation tests at this point to observe that the various generators on the chip are all working.

At this point it would be great to have Atari ST hardware emulation capabilities in UADE. My code has different interface from the ymemul.c from sc68 project (which is apparently dead), so I haven't been able to actually run this code to produce real music. That means there are probably serious emulation bugs remaining...

Some expert attention on the code would be welcome. In particular, I'd be curious to know how Atari ST Amiga module players managed to produce PCM music out of the chip. Some changes may be required to correctly simulate such players, or sample playback in general.

The Makefile and associated .c and .h files can be downloaded from:

http://bel.fi/~alankila/ymemul/

-- 
Antti